%define diskdev_cmds diskdev_cmds-208.11

Summary:		A partitioning tool for Apple Macintosh-style partitioned disks
Name:			pdisk
Version:		0.8
Release:		%mkrel 24
License:		Apple Public Source License
Group:			System/Base

# These URLs are no longer valid
Source:			ftp://cfcl.com/pub/ev/pdisk.20000516.src.tar.bz2
Source1:		https://www.opensource.apple.com/darwinsource/tarballs/apsl/diskdev_cmds-208.11.tar.bz2
Patch0:			pdisk-changetype.patch
Patch1:			http://www.ardistech.com/hfsplus/diskdev_cmds.diff
Patch2:			pdisk-gcc-4.0.patch
Patch3:			pdisk-gcc44.patch
Patch4:			pdisk-fix-str-fmt.patch
Patch5:			llseek.patch
# From SUSe:
Patch6:			pdisk.sys_errlist.patch
URL:			http://cantaforda.com/cfcl/eryk/linux/pdisk/index.html

%description
pdisk enables you to view and modify Apple Macintosh-style partition maps.
Normally, it is used to create Linux partitions on your disk,
however, it can create partitions of any type, including HFS (except
it would be up to MacOS or some other tool to actually create the HFS
filesystem in that HFS partition). pdisk won't put MacOS disk drivers
onto your disk.

%prep
%setup -q -a 1 -n pdisk
%patch -P 0 -p1
pushd %{diskdev_cmds}
%patch -P 1 -p1 -b .hfsplus
popd
%patch -P 2 -p1 -b .gcc40
%patch -P 3 -p0 -b .gcc44
%patch -P 4 -p0 -b .str
%patch -P 5 -p1 -b .llseek
%patch -P 6 -p1 -b .glibc

%build
%make_build CFLAGS="%{optflags}"
cd %{diskdev_cmds}
%make_build -f Makefile.lnx

%install
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}%{_mandir}/man8
install -m755 pdisk %{buildroot}/sbin/pdisk
install -m444 pdisk.8 %{buildroot}%{_mandir}/man8
install -m755 %{diskdev_cmds}/fsck_hfs.tproj/fsck_hfs %{buildroot}/sbin
install -m755 %{diskdev_cmds}/newfs_hfs.tproj/newfs_hfs %{buildroot}/sbin
install -m444 %{diskdev_cmds}/newfs_hfs.tproj/newfs_hfs.8 %{buildroot}%{_mandir}/man8
chmod 0444 README pdisk.html

%files
%doc README pdisk.html
/sbin/pdisk
/sbin/newfs_hfs
/sbin/fsck_hfs

%{_mandir}/man8/pdisk.*
%{_mandir}/man8/newfs_hfs.*


%changelog
* Fri Oct 04 2024 ns80 <ns80> 0.8-24.mga10
+ Revision: 2103180
- try to fix building with GCC 14

* Tue Mar 15 2022 umeabot <umeabot> 0.8-23.mga9
+ Revision: 1792950
- Mageia 9 Mass Rebuild

* Thu Nov 26 2020 tv <tv> 0.8-22.mga8
+ Revision: 1649521
- Fix build with glibc-2.32

* Fri Feb 14 2020 umeabot <umeabot> 0.8-21.mga8
+ Revision: 1520255
- Mageia 8 Mass Rebuild

* Sat Nov 17 2018 pterjan <pterjan> 0.8-20.mga7
+ Revision: 1330363
- Fix build with glibc 2.28
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build
- Replace $RPM_BUILD_ROOT with {buildroot}

* Fri Feb 05 2016 umeabot <umeabot> 0.8-18.mga6
+ Revision: 939922
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8-17.mga5
+ Revision: 741799
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8-16.mga5
+ Revision: 683389
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8-15.mga4
+ Revision: 508918
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.8-14.mga3
+ Revision: 362710
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat May 21 2011 ahmad <ahmad> 0.8-13.mga1
+ Revision: 100003
- Make the description generic

* Sun Jan 16 2011 nanardon <nanardon> 0.8-12.mga1
+ Revision: 19994
- cleanup empty line
- imported package pdisk


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8-12mdv2011.0
+ Revision: 607085
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8-11mdv2010.1
+ Revision: 523610
- rebuilt for 2010.1

* Sun Oct 04 2009 Funda Wang <fwang@mandriva.org> 0.8-10mdv2010.0
+ Revision: 453441
- fix str fmt
- fix build with gcc 4.4

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.8-10mdv2009.0
+ Revision: 223490
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8-9mdv2008.1
+ Revision: 179160
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 0.8-8mdv2008.0
+ Revision: 65019
- fix man pages


* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/10/06 00:51:21 (55259)
- rebuild

* Thu Aug 10 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/10/06 00:43:40 (55257)
Import pdisk

* Fri Jun 02 2006 Stew Benedict <sbenedict@mandriva.com> 0.8-7mdv2007.0
- rebuild

* Mon May 16 2005 Stew Benedict <sbenedict@mandriva.com> 0.8-6mdk
- rebuild, patch for gcc-4.0 (P2)

* Fri Apr 02 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.8-5mdk
- add fsck_hfs, newfs_hfs from the Apple source
- add Roman Zippel's patches for hfsplus support
- (suggestions from J.A. Magallon)
- perms on executables (rpmlint)

* Fri Feb 06 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.8-4mdk
- rebuild
- add t command to change type of partition (Christiaan Welvaart)

